package mhp.oee.po.gen;

import java.util.Date;

public class ResourceReasonLogPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_log.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_log.RESRCE
     *
     * @mbggenerated
     */
    private String resrce;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_log.DATE_TIME
     *
     * @mbggenerated
     */
    private Date dateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_log.REASON_CODE
     *
     * @mbggenerated
     */
    private String reasonCode;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_log.ACTION_CODE
     *
     * @mbggenerated
     */
    private String actionCode;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_log.MAINTENANCE_NOTIFICATION
     *
     * @mbggenerated
     */
    private String maintenanceNotification;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_log.MAINTENANCE_ORDER
     *
     * @mbggenerated
     */
    private String maintenanceOrder;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_log.ME_USER_ID
     *
     * @mbggenerated
     */
    private String meUserId;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_log.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_log.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_reason_log.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_log.SITE
     *
     * @return the value of resource_reason_log.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_log.SITE
     *
     * @param site the value for resource_reason_log.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_log.RESRCE
     *
     * @return the value of resource_reason_log.RESRCE
     *
     * @mbggenerated
     */
    public String getResrce() {
        return resrce;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_log.RESRCE
     *
     * @param resrce the value for resource_reason_log.RESRCE
     *
     * @mbggenerated
     */
    public void setResrce(String resrce) {
        this.resrce = resrce == null ? null : resrce.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_log.DATE_TIME
     *
     * @return the value of resource_reason_log.DATE_TIME
     *
     * @mbggenerated
     */
    public Date getDateTime() {
        return dateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_log.DATE_TIME
     *
     * @param dateTime the value for resource_reason_log.DATE_TIME
     *
     * @mbggenerated
     */
    public void setDateTime(Date dateTime) {
        this.dateTime = dateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_log.REASON_CODE
     *
     * @return the value of resource_reason_log.REASON_CODE
     *
     * @mbggenerated
     */
    public String getReasonCode() {
        return reasonCode;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_log.REASON_CODE
     *
     * @param reasonCode the value for resource_reason_log.REASON_CODE
     *
     * @mbggenerated
     */
    public void setReasonCode(String reasonCode) {
        this.reasonCode = reasonCode == null ? null : reasonCode.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_log.ACTION_CODE
     *
     * @return the value of resource_reason_log.ACTION_CODE
     *
     * @mbggenerated
     */
    public String getActionCode() {
        return actionCode;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_log.ACTION_CODE
     *
     * @param actionCode the value for resource_reason_log.ACTION_CODE
     *
     * @mbggenerated
     */
    public void setActionCode(String actionCode) {
        this.actionCode = actionCode == null ? null : actionCode.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_log.MAINTENANCE_NOTIFICATION
     *
     * @return the value of resource_reason_log.MAINTENANCE_NOTIFICATION
     *
     * @mbggenerated
     */
    public String getMaintenanceNotification() {
        return maintenanceNotification;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_log.MAINTENANCE_NOTIFICATION
     *
     * @param maintenanceNotification the value for resource_reason_log.MAINTENANCE_NOTIFICATION
     *
     * @mbggenerated
     */
    public void setMaintenanceNotification(String maintenanceNotification) {
        this.maintenanceNotification = maintenanceNotification == null ? null : maintenanceNotification.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_log.MAINTENANCE_ORDER
     *
     * @return the value of resource_reason_log.MAINTENANCE_ORDER
     *
     * @mbggenerated
     */
    public String getMaintenanceOrder() {
        return maintenanceOrder;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_log.MAINTENANCE_ORDER
     *
     * @param maintenanceOrder the value for resource_reason_log.MAINTENANCE_ORDER
     *
     * @mbggenerated
     */
    public void setMaintenanceOrder(String maintenanceOrder) {
        this.maintenanceOrder = maintenanceOrder == null ? null : maintenanceOrder.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_log.ME_USER_ID
     *
     * @return the value of resource_reason_log.ME_USER_ID
     *
     * @mbggenerated
     */
    public String getMeUserId() {
        return meUserId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_log.ME_USER_ID
     *
     * @param meUserId the value for resource_reason_log.ME_USER_ID
     *
     * @mbggenerated
     */
    public void setMeUserId(String meUserId) {
        this.meUserId = meUserId == null ? null : meUserId.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_log.CREATED_DATE_TIME
     *
     * @return the value of resource_reason_log.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_log.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for resource_reason_log.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_log.MODIFIED_DATE_TIME
     *
     * @return the value of resource_reason_log.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_log.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for resource_reason_log.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_reason_log.MODIFIED_USER
     *
     * @return the value of resource_reason_log.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_reason_log.MODIFIED_USER
     *
     * @param modifiedUser the value for resource_reason_log.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}